unit schFacturasClienteServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, schFacturasClienteClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_DarReferenciaDelta = '{7A3C258C-193F-4F68-A79D-D80024332A61}';
  RID_FacturasClienteDelta = '{43E772CB-008D-4581-9A08-5279098E9017}';
  RID_FacturasCliente_DetallesDelta = '{FA5BF847-3F75-4F11-A958-FFC86F624CB1}';
  RID_FacturasCliente_RefreshDelta = '{139DB501-8C11-4727-9EFD-D8354590A04D}';

type
  { IDarReferenciaDelta }
  IDarReferenciaDelta = interface(IDarReferencia)
  ['{7A3C258C-193F-4F68-A79D-D80024332A61}']
    { Property getters and setters }
    function GetOldVALORValue : String;

    { Properties }
    property OldVALOR : String read GetOldVALORValue;
  end;

  { TDarReferenciaBusinessProcessorRules }
  TDarReferenciaBusinessProcessorRules = class(TDABusinessProcessorRules, IDarReferencia, IDarReferenciaDelta)
  private
  protected
    { Property getters and setters }
    function GetVALORValue: String; virtual;
    function GetOldVALORValue: String; virtual;
    procedure SetVALORValue(const aValue: String); virtual;

    { Properties }
    property VALOR : String read GetVALORValue write SetVALORValue;
    property OldVALOR : String read GetOldVALORValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IFacturasClienteDelta }
  IFacturasClienteDelta = interface(IFacturasCliente)
  ['{43E772CB-008D-4581-9A08-5279098E9017}']
    { Property getters and setters }
    function GetOldICONOValue : Integer;
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldID_CONTRATOValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldFECHA_FACTURAValue : DateTime;
    function GetOldVENCIMIENTOValue : Integer;
    function GetOldSITUACIONValue : String;
    function GetOldBASE_IMPONIBLEValue : Float;
    function GetOldDESCUENTOValue : Float;
    function GetOldIMPORTE_DESCUENTOValue : Float;
    function GetOldIVAValue : Float;
    function GetOldIMPORTE_IVAValue : Float;
    function GetOldIMPORTE_TOTALValue : Float;
    function GetOldOBSERVACIONESValue : IROStrings;
    function GetOldFORMA_PAGOValue : IROStrings;
    function GetOldID_CLIENTEValue : Integer;
    function GetOldNIF_CIFValue : String;
    function GetOldNOMBREValue : String;
    function GetOldCALLEValue : String;
    function GetOldPOBLACIONValue : String;
    function GetOldPROVINCIAValue : String;
    function GetOldCODIGO_POSTALValue : String;
    function GetOldFECHA_ALTAValue : DateTime;
    function GetOldFECHA_MODIFICACIONValue : DateTime;
    function GetOldUSUARIOValue : String;
    function GetOldFECHA_PAGADOValue : DateTime;
    function GetOldFECHA_VENCIMIENTOValue : DateTime;

    { Properties }
    property OldICONO : Integer read GetOldICONOValue;
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_CONTRATO : Integer read GetOldID_CONTRATOValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldFECHA_FACTURA : DateTime read GetOldFECHA_FACTURAValue;
    property OldVENCIMIENTO : Integer read GetOldVENCIMIENTOValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property OldBASE_IMPONIBLE : Float read GetOldBASE_IMPONIBLEValue;
    property OldDESCUENTO : Float read GetOldDESCUENTOValue;
    property OldIMPORTE_DESCUENTO : Float read GetOldIMPORTE_DESCUENTOValue;
    property OldIVA : Float read GetOldIVAValue;
    property OldIMPORTE_IVA : Float read GetOldIMPORTE_IVAValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property OldOBSERVACIONES : IROStrings read GetOldOBSERVACIONESValue;
    property OldFORMA_PAGO : IROStrings read GetOldFORMA_PAGOValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property OldNIF_CIF : String read GetOldNIF_CIFValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldCALLE : String read GetOldCALLEValue;
    property OldPOBLACION : String read GetOldPOBLACIONValue;
    property OldPROVINCIA : String read GetOldPROVINCIAValue;
    property OldCODIGO_POSTAL : String read GetOldCODIGO_POSTALValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldFECHA_PAGADO : DateTime read GetOldFECHA_PAGADOValue;
    property OldFECHA_VENCIMIENTO : DateTime read GetOldFECHA_VENCIMIENTOValue;
  end;

  { TFacturasClienteBusinessProcessorRules }
  TFacturasClienteBusinessProcessorRules = class(TDABusinessProcessorRules, IFacturasCliente, IFacturasClienteDelta)
  private
  protected
    { Property getters and setters }
    function GetICONOValue: Integer; virtual;
    function GetOldICONOValue: Integer; virtual;
    procedure SetICONOValue(const aValue: Integer); virtual;
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetID_CONTRATOValue: Integer; virtual;
    function GetOldID_CONTRATOValue: Integer; virtual;
    procedure SetID_CONTRATOValue(const aValue: Integer); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetFECHA_FACTURAValue: DateTime; virtual;
    function GetOldFECHA_FACTURAValue: DateTime; virtual;
    procedure SetFECHA_FACTURAValue(const aValue: DateTime); virtual;
    function GetVENCIMIENTOValue: Integer; virtual;
    function GetOldVENCIMIENTOValue: Integer; virtual;
    procedure SetVENCIMIENTOValue(const aValue: Integer); virtual;
    function GetSITUACIONValue: String; virtual;
    function GetOldSITUACIONValue: String; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    function GetBASE_IMPONIBLEValue: Float; virtual;
    function GetOldBASE_IMPONIBLEValue: Float; virtual;
    procedure SetBASE_IMPONIBLEValue(const aValue: Float); virtual;
    function GetDESCUENTOValue: Float; virtual;
    function GetOldDESCUENTOValue: Float; virtual;
    procedure SetDESCUENTOValue(const aValue: Float); virtual;
    function GetIMPORTE_DESCUENTOValue: Float; virtual;
    function GetOldIMPORTE_DESCUENTOValue: Float; virtual;
    procedure SetIMPORTE_DESCUENTOValue(const aValue: Float); virtual;
    function GetIVAValue: Float; virtual;
    function GetOldIVAValue: Float; virtual;
    procedure SetIVAValue(const aValue: Float); virtual;
    function GetIMPORTE_IVAValue: Float; virtual;
    function GetOldIMPORTE_IVAValue: Float; virtual;
    procedure SetIMPORTE_IVAValue(const aValue: Float); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    function GetOldIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetOBSERVACIONESValue: IROStrings; virtual;
    function GetOldOBSERVACIONESValue: IROStrings; virtual;
    procedure SetOBSERVACIONESValue(const aValue: IROStrings); virtual;
    function GetFORMA_PAGOValue: IROStrings; virtual;
    function GetOldFORMA_PAGOValue: IROStrings; virtual;
    procedure SetFORMA_PAGOValue(const aValue: IROStrings); virtual;
    function GetID_CLIENTEValue: Integer; virtual;
    function GetOldID_CLIENTEValue: Integer; virtual;
    procedure SetID_CLIENTEValue(const aValue: Integer); virtual;
    function GetNIF_CIFValue: String; virtual;
    function GetOldNIF_CIFValue: String; virtual;
    procedure SetNIF_CIFValue(const aValue: String); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetCALLEValue: String; virtual;
    function GetOldCALLEValue: String; virtual;
    procedure SetCALLEValue(const aValue: String); virtual;
    function GetPOBLACIONValue: String; virtual;
    function GetOldPOBLACIONValue: String; virtual;
    procedure SetPOBLACIONValue(const aValue: String); virtual;
    function GetPROVINCIAValue: String; virtual;
    function GetOldPROVINCIAValue: String; virtual;
    procedure SetPROVINCIAValue(const aValue: String); virtual;
    function GetCODIGO_POSTALValue: String; virtual;
    function GetOldCODIGO_POSTALValue: String; virtual;
    procedure SetCODIGO_POSTALValue(const aValue: String); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    function GetOldFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetOldFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetFECHA_PAGADOValue: DateTime; virtual;
    function GetOldFECHA_PAGADOValue: DateTime; virtual;
    procedure SetFECHA_PAGADOValue(const aValue: DateTime); virtual;
    function GetFECHA_VENCIMIENTOValue: DateTime; virtual;
    function GetOldFECHA_VENCIMIENTOValue: DateTime; virtual;
    procedure SetFECHA_VENCIMIENTOValue(const aValue: DateTime); virtual;

    { Properties }
    property ICONO : Integer read GetICONOValue write SetICONOValue;
    property OldICONO : Integer read GetOldICONOValue;
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property ID_CONTRATO : Integer read GetID_CONTRATOValue write SetID_CONTRATOValue;
    property OldID_CONTRATO : Integer read GetOldID_CONTRATOValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property FECHA_FACTURA : DateTime read GetFECHA_FACTURAValue write SetFECHA_FACTURAValue;
    property OldFECHA_FACTURA : DateTime read GetOldFECHA_FACTURAValue;
    property VENCIMIENTO : Integer read GetVENCIMIENTOValue write SetVENCIMIENTOValue;
    property OldVENCIMIENTO : Integer read GetOldVENCIMIENTOValue;
    property SITUACION : String read GetSITUACIONValue write SetSITUACIONValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property BASE_IMPONIBLE : Float read GetBASE_IMPONIBLEValue write SetBASE_IMPONIBLEValue;
    property OldBASE_IMPONIBLE : Float read GetOldBASE_IMPONIBLEValue;
    property DESCUENTO : Float read GetDESCUENTOValue write SetDESCUENTOValue;
    property OldDESCUENTO : Float read GetOldDESCUENTOValue;
    property IMPORTE_DESCUENTO : Float read GetIMPORTE_DESCUENTOValue write SetIMPORTE_DESCUENTOValue;
    property OldIMPORTE_DESCUENTO : Float read GetOldIMPORTE_DESCUENTOValue;
    property IVA : Float read GetIVAValue write SetIVAValue;
    property OldIVA : Float read GetOldIVAValue;
    property IMPORTE_IVA : Float read GetIMPORTE_IVAValue write SetIMPORTE_IVAValue;
    property OldIMPORTE_IVA : Float read GetOldIMPORTE_IVAValue;
    property IMPORTE_TOTAL : Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property OBSERVACIONES : IROStrings read GetOBSERVACIONESValue write SetOBSERVACIONESValue;
    property OldOBSERVACIONES : IROStrings read GetOldOBSERVACIONESValue;
    property FORMA_PAGO : IROStrings read GetFORMA_PAGOValue write SetFORMA_PAGOValue;
    property OldFORMA_PAGO : IROStrings read GetOldFORMA_PAGOValue;
    property ID_CLIENTE : Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property NIF_CIF : String read GetNIF_CIFValue write SetNIF_CIFValue;
    property OldNIF_CIF : String read GetOldNIF_CIFValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property CALLE : String read GetCALLEValue write SetCALLEValue;
    property OldCALLE : String read GetOldCALLEValue;
    property POBLACION : String read GetPOBLACIONValue write SetPOBLACIONValue;
    property OldPOBLACION : String read GetOldPOBLACIONValue;
    property PROVINCIA : String read GetPROVINCIAValue write SetPROVINCIAValue;
    property OldPROVINCIA : String read GetOldPROVINCIAValue;
    property CODIGO_POSTAL : String read GetCODIGO_POSTALValue write SetCODIGO_POSTALValue;
    property OldCODIGO_POSTAL : String read GetOldCODIGO_POSTALValue;
    property FECHA_ALTA : DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property FECHA_MODIFICACION : DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property FECHA_PAGADO : DateTime read GetFECHA_PAGADOValue write SetFECHA_PAGADOValue;
    property OldFECHA_PAGADO : DateTime read GetOldFECHA_PAGADOValue;
    property FECHA_VENCIMIENTO : DateTime read GetFECHA_VENCIMIENTOValue write SetFECHA_VENCIMIENTOValue;
    property OldFECHA_VENCIMIENTO : DateTime read GetOldFECHA_VENCIMIENTOValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IFacturasCliente_DetallesDelta }
  IFacturasCliente_DetallesDelta = interface(IFacturasCliente_Detalles)
  ['{FA5BF847-3F75-4F11-A958-FFC86F624CB1}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_FACTURAValue : Integer;
    function GetOldPOSICIONValue : Integer;
    function GetOldTIPO_DETALLEValue : String;
    function GetOldCONCEPTOValue : String;
    function GetOldCANTIDADValue : Integer;
    function GetOldIMPORTE_UNIDADValue : Float;
    function GetOldIMPORTE_TOTALValue : Float;
    function GetOldVISIBLEValue : Integer;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_FACTURA : Integer read GetOldID_FACTURAValue;
    property OldPOSICION : Integer read GetOldPOSICIONValue;
    property OldTIPO_DETALLE : String read GetOldTIPO_DETALLEValue;
    property OldCONCEPTO : String read GetOldCONCEPTOValue;
    property OldCANTIDAD : Integer read GetOldCANTIDADValue;
    property OldIMPORTE_UNIDAD : Float read GetOldIMPORTE_UNIDADValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property OldVISIBLE : Integer read GetOldVISIBLEValue;
  end;

  { TFacturasCliente_DetallesBusinessProcessorRules }
  TFacturasCliente_DetallesBusinessProcessorRules = class(TDABusinessProcessorRules, IFacturasCliente_Detalles, IFacturasCliente_DetallesDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_FACTURAValue: Integer; virtual;
    function GetOldID_FACTURAValue: Integer; virtual;
    procedure SetID_FACTURAValue(const aValue: Integer); virtual;
    function GetPOSICIONValue: Integer; virtual;
    function GetOldPOSICIONValue: Integer; virtual;
    procedure SetPOSICIONValue(const aValue: Integer); virtual;
    function GetTIPO_DETALLEValue: String; virtual;
    function GetOldTIPO_DETALLEValue: String; virtual;
    procedure SetTIPO_DETALLEValue(const aValue: String); virtual;
    function GetCONCEPTOValue: String; virtual;
    function GetOldCONCEPTOValue: String; virtual;
    procedure SetCONCEPTOValue(const aValue: String); virtual;
    function GetCANTIDADValue: Integer; virtual;
    function GetOldCANTIDADValue: Integer; virtual;
    procedure SetCANTIDADValue(const aValue: Integer); virtual;
    function GetIMPORTE_UNIDADValue: Float; virtual;
    function GetOldIMPORTE_UNIDADValue: Float; virtual;
    procedure SetIMPORTE_UNIDADValue(const aValue: Float); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    function GetOldIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetVISIBLEValue: Integer; virtual;
    function GetOldVISIBLEValue: Integer; virtual;
    procedure SetVISIBLEValue(const aValue: Integer); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_FACTURA : Integer read GetID_FACTURAValue write SetID_FACTURAValue;
    property OldID_FACTURA : Integer read GetOldID_FACTURAValue;
    property POSICION : Integer read GetPOSICIONValue write SetPOSICIONValue;
    property OldPOSICION : Integer read GetOldPOSICIONValue;
    property TIPO_DETALLE : String read GetTIPO_DETALLEValue write SetTIPO_DETALLEValue;
    property OldTIPO_DETALLE : String read GetOldTIPO_DETALLEValue;
    property CONCEPTO : String read GetCONCEPTOValue write SetCONCEPTOValue;
    property OldCONCEPTO : String read GetOldCONCEPTOValue;
    property CANTIDAD : Integer read GetCANTIDADValue write SetCANTIDADValue;
    property OldCANTIDAD : Integer read GetOldCANTIDADValue;
    property IMPORTE_UNIDAD : Float read GetIMPORTE_UNIDADValue write SetIMPORTE_UNIDADValue;
    property OldIMPORTE_UNIDAD : Float read GetOldIMPORTE_UNIDADValue;
    property IMPORTE_TOTAL : Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property VISIBLE : Integer read GetVISIBLEValue write SetVISIBLEValue;
    property OldVISIBLE : Integer read GetOldVISIBLEValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IFacturasCliente_RefreshDelta }
  IFacturasCliente_RefreshDelta = interface(IFacturasCliente_Refresh)
  ['{139DB501-8C11-4727-9EFD-D8354590A04D}']
    { Property getters and setters }
    function GetOldICONOValue : Integer;
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldID_CONTRATOValue : Integer;
    function GetOldUSUARIOValue : String;
    function GetOldFECHA_FACTURAValue : DateTime;
    function GetOldVENCIMIENTOValue : Integer;
    function GetOldSITUACIONValue : String;
    function GetOldBASE_IMPONIBLEValue : Float;
    function GetOldREFERENCIAValue : String;
    function GetOldIMPORTE_DESCUENTOValue : Float;
    function GetOldIVAValue : Float;
    function GetOldDESCUENTOValue : Float;
    function GetOldIMPORTE_IVAValue : Float;
    function GetOldIMPORTE_TOTALValue : Float;
    function GetOldFORMA_PAGOValue : IROStrings;
    function GetOldID_CLIENTEValue : Integer;
    function GetOldNIF_CIFValue : String;
    function GetOldOBSERVACIONESValue : IROStrings;
    function GetOldNOMBREValue : String;
    function GetOldCALLEValue : String;
    function GetOldPROVINCIAValue : String;
    function GetOldCODIGO_POSTALValue : String;
    function GetOldFECHA_ALTAValue : DateTime;
    function GetOldFECHA_MODIFICACIONValue : DateTime;
    function GetOldPOBLACIONValue : String;
    function GetOldFECHA_PAGADOValue : DateTime;
    function GetOldFECHA_VENCIMIENTOValue : DateTime;

    { Properties }
    property OldICONO : Integer read GetOldICONOValue;
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_CONTRATO : Integer read GetOldID_CONTRATOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldFECHA_FACTURA : DateTime read GetOldFECHA_FACTURAValue;
    property OldVENCIMIENTO : Integer read GetOldVENCIMIENTOValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property OldBASE_IMPONIBLE : Float read GetOldBASE_IMPONIBLEValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldIMPORTE_DESCUENTO : Float read GetOldIMPORTE_DESCUENTOValue;
    property OldIVA : Float read GetOldIVAValue;
    property OldDESCUENTO : Float read GetOldDESCUENTOValue;
    property OldIMPORTE_IVA : Float read GetOldIMPORTE_IVAValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property OldFORMA_PAGO : IROStrings read GetOldFORMA_PAGOValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property OldNIF_CIF : String read GetOldNIF_CIFValue;
    property OldOBSERVACIONES : IROStrings read GetOldOBSERVACIONESValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldCALLE : String read GetOldCALLEValue;
    property OldPROVINCIA : String read GetOldPROVINCIAValue;
    property OldCODIGO_POSTAL : String read GetOldCODIGO_POSTALValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property OldPOBLACION : String read GetOldPOBLACIONValue;
    property OldFECHA_PAGADO : DateTime read GetOldFECHA_PAGADOValue;
    property OldFECHA_VENCIMIENTO : DateTime read GetOldFECHA_VENCIMIENTOValue;
  end;

  { TFacturasCliente_RefreshBusinessProcessorRules }
  TFacturasCliente_RefreshBusinessProcessorRules = class(TDABusinessProcessorRules, IFacturasCliente_Refresh, IFacturasCliente_RefreshDelta)
  private
  protected
    { Property getters and setters }
    function GetICONOValue: Integer; virtual;
    function GetOldICONOValue: Integer; virtual;
    procedure SetICONOValue(const aValue: Integer); virtual;
    function GetIDValue: Integer; virtual;
    function GetOldIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetID_CONTRATOValue: Integer; virtual;
    function GetOldID_CONTRATOValue: Integer; virtual;
    procedure SetID_CONTRATOValue(const aValue: Integer); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetOldUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetFECHA_FACTURAValue: DateTime; virtual;
    function GetOldFECHA_FACTURAValue: DateTime; virtual;
    procedure SetFECHA_FACTURAValue(const aValue: DateTime); virtual;
    function GetVENCIMIENTOValue: Integer; virtual;
    function GetOldVENCIMIENTOValue: Integer; virtual;
    procedure SetVENCIMIENTOValue(const aValue: Integer); virtual;
    function GetSITUACIONValue: String; virtual;
    function GetOldSITUACIONValue: String; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    function GetBASE_IMPONIBLEValue: Float; virtual;
    function GetOldBASE_IMPONIBLEValue: Float; virtual;
    procedure SetBASE_IMPONIBLEValue(const aValue: Float); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetIMPORTE_DESCUENTOValue: Float; virtual;
    function GetOldIMPORTE_DESCUENTOValue: Float; virtual;
    procedure SetIMPORTE_DESCUENTOValue(const aValue: Float); virtual;
    function GetIVAValue: Float; virtual;
    function GetOldIVAValue: Float; virtual;
    procedure SetIVAValue(const aValue: Float); virtual;
    function GetDESCUENTOValue: Float; virtual;
    function GetOldDESCUENTOValue: Float; virtual;
    procedure SetDESCUENTOValue(const aValue: Float); virtual;
    function GetIMPORTE_IVAValue: Float; virtual;
    function GetOldIMPORTE_IVAValue: Float; virtual;
    procedure SetIMPORTE_IVAValue(const aValue: Float); virtual;
    function GetIMPORTE_TOTALValue: Float; virtual;
    function GetOldIMPORTE_TOTALValue: Float; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Float); virtual;
    function GetFORMA_PAGOValue: IROStrings; virtual;
    function GetOldFORMA_PAGOValue: IROStrings; virtual;
    procedure SetFORMA_PAGOValue(const aValue: IROStrings); virtual;
    function GetID_CLIENTEValue: Integer; virtual;
    function GetOldID_CLIENTEValue: Integer; virtual;
    procedure SetID_CLIENTEValue(const aValue: Integer); virtual;
    function GetNIF_CIFValue: String; virtual;
    function GetOldNIF_CIFValue: String; virtual;
    procedure SetNIF_CIFValue(const aValue: String); virtual;
    function GetOBSERVACIONESValue: IROStrings; virtual;
    function GetOldOBSERVACIONESValue: IROStrings; virtual;
    procedure SetOBSERVACIONESValue(const aValue: IROStrings); virtual;
    function GetNOMBREValue: String; virtual;
    function GetOldNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetCALLEValue: String; virtual;
    function GetOldCALLEValue: String; virtual;
    procedure SetCALLEValue(const aValue: String); virtual;
    function GetPROVINCIAValue: String; virtual;
    function GetOldPROVINCIAValue: String; virtual;
    procedure SetPROVINCIAValue(const aValue: String); virtual;
    function GetCODIGO_POSTALValue: String; virtual;
    function GetOldCODIGO_POSTALValue: String; virtual;
    procedure SetCODIGO_POSTALValue(const aValue: String); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    function GetOldFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetOldFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetPOBLACIONValue: String; virtual;
    function GetOldPOBLACIONValue: String; virtual;
    procedure SetPOBLACIONValue(const aValue: String); virtual;
    function GetFECHA_PAGADOValue: DateTime; virtual;
    function GetOldFECHA_PAGADOValue: DateTime; virtual;
    procedure SetFECHA_PAGADOValue(const aValue: DateTime); virtual;
    function GetFECHA_VENCIMIENTOValue: DateTime; virtual;
    function GetOldFECHA_VENCIMIENTOValue: DateTime; virtual;
    procedure SetFECHA_VENCIMIENTOValue(const aValue: DateTime); virtual;

    { Properties }
    property ICONO : Integer read GetICONOValue write SetICONOValue;
    property OldICONO : Integer read GetOldICONOValue;
    property ID : Integer read GetIDValue write SetIDValue;
    property OldID : Integer read GetOldIDValue;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property ID_CONTRATO : Integer read GetID_CONTRATOValue write SetID_CONTRATOValue;
    property OldID_CONTRATO : Integer read GetOldID_CONTRATOValue;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property FECHA_FACTURA : DateTime read GetFECHA_FACTURAValue write SetFECHA_FACTURAValue;
    property OldFECHA_FACTURA : DateTime read GetOldFECHA_FACTURAValue;
    property VENCIMIENTO : Integer read GetVENCIMIENTOValue write SetVENCIMIENTOValue;
    property OldVENCIMIENTO : Integer read GetOldVENCIMIENTOValue;
    property SITUACION : String read GetSITUACIONValue write SetSITUACIONValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property BASE_IMPONIBLE : Float read GetBASE_IMPONIBLEValue write SetBASE_IMPONIBLEValue;
    property OldBASE_IMPONIBLE : Float read GetOldBASE_IMPONIBLEValue;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property IMPORTE_DESCUENTO : Float read GetIMPORTE_DESCUENTOValue write SetIMPORTE_DESCUENTOValue;
    property OldIMPORTE_DESCUENTO : Float read GetOldIMPORTE_DESCUENTOValue;
    property IVA : Float read GetIVAValue write SetIVAValue;
    property OldIVA : Float read GetOldIVAValue;
    property DESCUENTO : Float read GetDESCUENTOValue write SetDESCUENTOValue;
    property OldDESCUENTO : Float read GetOldDESCUENTOValue;
    property IMPORTE_IVA : Float read GetIMPORTE_IVAValue write SetIMPORTE_IVAValue;
    property OldIMPORTE_IVA : Float read GetOldIMPORTE_IVAValue;
    property IMPORTE_TOTAL : Float read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property OldIMPORTE_TOTAL : Float read GetOldIMPORTE_TOTALValue;
    property FORMA_PAGO : IROStrings read GetFORMA_PAGOValue write SetFORMA_PAGOValue;
    property OldFORMA_PAGO : IROStrings read GetOldFORMA_PAGOValue;
    property ID_CLIENTE : Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property NIF_CIF : String read GetNIF_CIFValue write SetNIF_CIFValue;
    property OldNIF_CIF : String read GetOldNIF_CIFValue;
    property OBSERVACIONES : IROStrings read GetOBSERVACIONESValue write SetOBSERVACIONESValue;
    property OldOBSERVACIONES : IROStrings read GetOldOBSERVACIONESValue;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property CALLE : String read GetCALLEValue write SetCALLEValue;
    property OldCALLE : String read GetOldCALLEValue;
    property PROVINCIA : String read GetPROVINCIAValue write SetPROVINCIAValue;
    property OldPROVINCIA : String read GetOldPROVINCIAValue;
    property CODIGO_POSTAL : String read GetCODIGO_POSTALValue write SetCODIGO_POSTALValue;
    property OldCODIGO_POSTAL : String read GetOldCODIGO_POSTALValue;
    property FECHA_ALTA : DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property FECHA_MODIFICACION : DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property POBLACION : String read GetPOBLACIONValue write SetPOBLACIONValue;
    property OldPOBLACION : String read GetOldPOBLACIONValue;
    property FECHA_PAGADO : DateTime read GetFECHA_PAGADOValue write SetFECHA_PAGADOValue;
    property OldFECHA_PAGADO : DateTime read GetOldFECHA_PAGADOValue;
    property FECHA_VENCIMIENTO : DateTime read GetFECHA_VENCIMIENTOValue write SetFECHA_VENCIMIENTOValue;
    property OldFECHA_VENCIMIENTO : DateTime read GetOldFECHA_VENCIMIENTOValue;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers;

{ TDarReferenciaBusinessProcessorRules }
constructor TDarReferenciaBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TDarReferenciaBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TDarReferenciaBusinessProcessorRules.GetVALORValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_DarReferenciaVALOR];
end;

function TDarReferenciaBusinessProcessorRules.GetOldVALORValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_DarReferenciaVALOR];
end;

procedure TDarReferenciaBusinessProcessorRules.SetVALORValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_DarReferenciaVALOR] := aValue;
end;


{ TFacturasClienteBusinessProcessorRules }
constructor TFacturasClienteBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TFacturasClienteBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TFacturasClienteBusinessProcessorRules.GetICONOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteICONO];
end;

function TFacturasClienteBusinessProcessorRules.GetOldICONOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteICONO];
end;

procedure TFacturasClienteBusinessProcessorRules.SetICONOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteICONO] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteID];
end;

function TFacturasClienteBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteID];
end;

procedure TFacturasClienteBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteID] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteID_EMPRESA];
end;

function TFacturasClienteBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteID_EMPRESA];
end;

procedure TFacturasClienteBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteID_EMPRESA] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetID_CONTRATOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteID_CONTRATO];
end;

function TFacturasClienteBusinessProcessorRules.GetOldID_CONTRATOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteID_CONTRATO];
end;

procedure TFacturasClienteBusinessProcessorRules.SetID_CONTRATOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteID_CONTRATO] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteREFERENCIA];
end;

function TFacturasClienteBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteREFERENCIA];
end;

procedure TFacturasClienteBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteREFERENCIA] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetFECHA_FACTURAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteFECHA_FACTURA];
end;

function TFacturasClienteBusinessProcessorRules.GetOldFECHA_FACTURAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteFECHA_FACTURA];
end;

procedure TFacturasClienteBusinessProcessorRules.SetFECHA_FACTURAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteFECHA_FACTURA] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetVENCIMIENTOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteVENCIMIENTO];
end;

function TFacturasClienteBusinessProcessorRules.GetOldVENCIMIENTOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteVENCIMIENTO];
end;

procedure TFacturasClienteBusinessProcessorRules.SetVENCIMIENTOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteVENCIMIENTO] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteSITUACION];
end;

function TFacturasClienteBusinessProcessorRules.GetOldSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteSITUACION];
end;

procedure TFacturasClienteBusinessProcessorRules.SetSITUACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteSITUACION] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetBASE_IMPONIBLEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteBASE_IMPONIBLE];
end;

function TFacturasClienteBusinessProcessorRules.GetOldBASE_IMPONIBLEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteBASE_IMPONIBLE];
end;

procedure TFacturasClienteBusinessProcessorRules.SetBASE_IMPONIBLEValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteBASE_IMPONIBLE] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetDESCUENTOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteDESCUENTO];
end;

function TFacturasClienteBusinessProcessorRules.GetOldDESCUENTOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteDESCUENTO];
end;

procedure TFacturasClienteBusinessProcessorRules.SetDESCUENTOValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteDESCUENTO] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetIMPORTE_DESCUENTOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteIMPORTE_DESCUENTO];
end;

function TFacturasClienteBusinessProcessorRules.GetOldIMPORTE_DESCUENTOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteIMPORTE_DESCUENTO];
end;

procedure TFacturasClienteBusinessProcessorRules.SetIMPORTE_DESCUENTOValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteIMPORTE_DESCUENTO] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetIVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteIVA];
end;

function TFacturasClienteBusinessProcessorRules.GetOldIVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteIVA];
end;

procedure TFacturasClienteBusinessProcessorRules.SetIVAValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteIVA] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetIMPORTE_IVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteIMPORTE_IVA];
end;

function TFacturasClienteBusinessProcessorRules.GetOldIMPORTE_IVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteIMPORTE_IVA];
end;

procedure TFacturasClienteBusinessProcessorRules.SetIMPORTE_IVAValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteIMPORTE_IVA] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteIMPORTE_TOTAL];
end;

function TFacturasClienteBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteIMPORTE_TOTAL];
end;

procedure TFacturasClienteBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteIMPORTE_TOTAL] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetOBSERVACIONESValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteOBSERVACIONES];
end;

function TFacturasClienteBusinessProcessorRules.GetOldOBSERVACIONESValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteOBSERVACIONES];
end;

procedure TFacturasClienteBusinessProcessorRules.SetOBSERVACIONESValue(const aValue: IROStrings);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteOBSERVACIONES] := aValue.Text;
end;

function TFacturasClienteBusinessProcessorRules.GetFORMA_PAGOValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteFORMA_PAGO];
end;

function TFacturasClienteBusinessProcessorRules.GetOldFORMA_PAGOValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteFORMA_PAGO];
end;

procedure TFacturasClienteBusinessProcessorRules.SetFORMA_PAGOValue(const aValue: IROStrings);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteFORMA_PAGO] := aValue.Text;
end;

function TFacturasClienteBusinessProcessorRules.GetID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteID_CLIENTE];
end;

function TFacturasClienteBusinessProcessorRules.GetOldID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteID_CLIENTE];
end;

procedure TFacturasClienteBusinessProcessorRules.SetID_CLIENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteID_CLIENTE] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetNIF_CIFValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteNIF_CIF];
end;

function TFacturasClienteBusinessProcessorRules.GetOldNIF_CIFValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteNIF_CIF];
end;

procedure TFacturasClienteBusinessProcessorRules.SetNIF_CIFValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteNIF_CIF] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteNOMBRE];
end;

function TFacturasClienteBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteNOMBRE];
end;

procedure TFacturasClienteBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteNOMBRE] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetCALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteCALLE];
end;

function TFacturasClienteBusinessProcessorRules.GetOldCALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteCALLE];
end;

procedure TFacturasClienteBusinessProcessorRules.SetCALLEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteCALLE] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetPOBLACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClientePOBLACION];
end;

function TFacturasClienteBusinessProcessorRules.GetOldPOBLACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClientePOBLACION];
end;

procedure TFacturasClienteBusinessProcessorRules.SetPOBLACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClientePOBLACION] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetPROVINCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClientePROVINCIA];
end;

function TFacturasClienteBusinessProcessorRules.GetOldPROVINCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClientePROVINCIA];
end;

procedure TFacturasClienteBusinessProcessorRules.SetPROVINCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClientePROVINCIA] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetCODIGO_POSTALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteCODIGO_POSTAL];
end;

function TFacturasClienteBusinessProcessorRules.GetOldCODIGO_POSTALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteCODIGO_POSTAL];
end;

procedure TFacturasClienteBusinessProcessorRules.SetCODIGO_POSTALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteCODIGO_POSTAL] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteFECHA_ALTA];
end;

function TFacturasClienteBusinessProcessorRules.GetOldFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteFECHA_ALTA];
end;

procedure TFacturasClienteBusinessProcessorRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteFECHA_ALTA] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteFECHA_MODIFICACION];
end;

function TFacturasClienteBusinessProcessorRules.GetOldFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteFECHA_MODIFICACION];
end;

procedure TFacturasClienteBusinessProcessorRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteFECHA_MODIFICACION] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteUSUARIO];
end;

function TFacturasClienteBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteUSUARIO];
end;

procedure TFacturasClienteBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteUSUARIO] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetFECHA_PAGADOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteFECHA_PAGADO];
end;

function TFacturasClienteBusinessProcessorRules.GetOldFECHA_PAGADOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteFECHA_PAGADO];
end;

procedure TFacturasClienteBusinessProcessorRules.SetFECHA_PAGADOValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteFECHA_PAGADO] := aValue;
end;

function TFacturasClienteBusinessProcessorRules.GetFECHA_VENCIMIENTOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteFECHA_VENCIMIENTO];
end;

function TFacturasClienteBusinessProcessorRules.GetOldFECHA_VENCIMIENTOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasClienteFECHA_VENCIMIENTO];
end;

procedure TFacturasClienteBusinessProcessorRules.SetFECHA_VENCIMIENTOValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasClienteFECHA_VENCIMIENTO] := aValue;
end;


{ TFacturasCliente_DetallesBusinessProcessorRules }
constructor TFacturasCliente_DetallesBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TFacturasCliente_DetallesBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TFacturasCliente_DetallesBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_DetallesID];
end;

function TFacturasCliente_DetallesBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_DetallesID];
end;

procedure TFacturasCliente_DetallesBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_DetallesID] := aValue;
end;

function TFacturasCliente_DetallesBusinessProcessorRules.GetID_FACTURAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_DetallesID_FACTURA];
end;

function TFacturasCliente_DetallesBusinessProcessorRules.GetOldID_FACTURAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_DetallesID_FACTURA];
end;

procedure TFacturasCliente_DetallesBusinessProcessorRules.SetID_FACTURAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_DetallesID_FACTURA] := aValue;
end;

function TFacturasCliente_DetallesBusinessProcessorRules.GetPOSICIONValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_DetallesPOSICION];
end;

function TFacturasCliente_DetallesBusinessProcessorRules.GetOldPOSICIONValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_DetallesPOSICION];
end;

procedure TFacturasCliente_DetallesBusinessProcessorRules.SetPOSICIONValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_DetallesPOSICION] := aValue;
end;

function TFacturasCliente_DetallesBusinessProcessorRules.GetTIPO_DETALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_DetallesTIPO_DETALLE];
end;

function TFacturasCliente_DetallesBusinessProcessorRules.GetOldTIPO_DETALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_DetallesTIPO_DETALLE];
end;

procedure TFacturasCliente_DetallesBusinessProcessorRules.SetTIPO_DETALLEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_DetallesTIPO_DETALLE] := aValue;
end;

function TFacturasCliente_DetallesBusinessProcessorRules.GetCONCEPTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_DetallesCONCEPTO];
end;

function TFacturasCliente_DetallesBusinessProcessorRules.GetOldCONCEPTOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_DetallesCONCEPTO];
end;

procedure TFacturasCliente_DetallesBusinessProcessorRules.SetCONCEPTOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_DetallesCONCEPTO] := aValue;
end;

function TFacturasCliente_DetallesBusinessProcessorRules.GetCANTIDADValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_DetallesCANTIDAD];
end;

function TFacturasCliente_DetallesBusinessProcessorRules.GetOldCANTIDADValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_DetallesCANTIDAD];
end;

procedure TFacturasCliente_DetallesBusinessProcessorRules.SetCANTIDADValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_DetallesCANTIDAD] := aValue;
end;

function TFacturasCliente_DetallesBusinessProcessorRules.GetIMPORTE_UNIDADValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_DetallesIMPORTE_UNIDAD];
end;

function TFacturasCliente_DetallesBusinessProcessorRules.GetOldIMPORTE_UNIDADValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_DetallesIMPORTE_UNIDAD];
end;

procedure TFacturasCliente_DetallesBusinessProcessorRules.SetIMPORTE_UNIDADValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_DetallesIMPORTE_UNIDAD] := aValue;
end;

function TFacturasCliente_DetallesBusinessProcessorRules.GetIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_DetallesIMPORTE_TOTAL];
end;

function TFacturasCliente_DetallesBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_DetallesIMPORTE_TOTAL];
end;

procedure TFacturasCliente_DetallesBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_DetallesIMPORTE_TOTAL] := aValue;
end;

function TFacturasCliente_DetallesBusinessProcessorRules.GetVISIBLEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_DetallesVISIBLE];
end;

function TFacturasCliente_DetallesBusinessProcessorRules.GetOldVISIBLEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_DetallesVISIBLE];
end;

procedure TFacturasCliente_DetallesBusinessProcessorRules.SetVISIBLEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_DetallesVISIBLE] := aValue;
end;


{ TFacturasCliente_RefreshBusinessProcessorRules }
constructor TFacturasCliente_RefreshBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TFacturasCliente_RefreshBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetICONOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshICONO];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldICONOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshICONO];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetICONOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshICONO] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshID];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshID];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshID] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshID_EMPRESA];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshID_EMPRESA];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshID_EMPRESA] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetID_CONTRATOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshID_CONTRATO];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldID_CONTRATOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshID_CONTRATO];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetID_CONTRATOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshID_CONTRATO] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshUSUARIO];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshUSUARIO];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshUSUARIO] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetFECHA_FACTURAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshFECHA_FACTURA];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldFECHA_FACTURAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshFECHA_FACTURA];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetFECHA_FACTURAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshFECHA_FACTURA] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetVENCIMIENTOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshVENCIMIENTO];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldVENCIMIENTOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshVENCIMIENTO];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetVENCIMIENTOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshVENCIMIENTO] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshSITUACION];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshSITUACION];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetSITUACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshSITUACION] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetBASE_IMPONIBLEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshBASE_IMPONIBLE];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldBASE_IMPONIBLEValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshBASE_IMPONIBLE];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetBASE_IMPONIBLEValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshBASE_IMPONIBLE] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshREFERENCIA];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshREFERENCIA];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshREFERENCIA] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetIMPORTE_DESCUENTOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshIMPORTE_DESCUENTO];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldIMPORTE_DESCUENTOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshIMPORTE_DESCUENTO];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetIMPORTE_DESCUENTOValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshIMPORTE_DESCUENTO] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetIVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshIVA];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldIVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshIVA];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetIVAValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshIVA] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetDESCUENTOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshDESCUENTO];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldDESCUENTOValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshDESCUENTO];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetDESCUENTOValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshDESCUENTO] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetIMPORTE_IVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshIMPORTE_IVA];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldIMPORTE_IVAValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshIMPORTE_IVA];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetIMPORTE_IVAValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshIMPORTE_IVA] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshIMPORTE_TOTAL];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshIMPORTE_TOTAL];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshIMPORTE_TOTAL] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetFORMA_PAGOValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshFORMA_PAGO];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldFORMA_PAGOValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshFORMA_PAGO];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetFORMA_PAGOValue(const aValue: IROStrings);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshFORMA_PAGO] := aValue.Text;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshID_CLIENTE];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshID_CLIENTE];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetID_CLIENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshID_CLIENTE] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetNIF_CIFValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshNIF_CIF];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldNIF_CIFValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshNIF_CIF];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetNIF_CIFValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshNIF_CIF] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOBSERVACIONESValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshOBSERVACIONES];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldOBSERVACIONESValue: IROStrings;
begin
  result := NewROStrings();
  result.Text := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshOBSERVACIONES];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetOBSERVACIONESValue(const aValue: IROStrings);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshOBSERVACIONES] := aValue.Text;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshNOMBRE];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshNOMBRE];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshNOMBRE] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetCALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshCALLE];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldCALLEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshCALLE];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetCALLEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshCALLE] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetPROVINCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshPROVINCIA];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldPROVINCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshPROVINCIA];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetPROVINCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshPROVINCIA] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetCODIGO_POSTALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshCODIGO_POSTAL];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldCODIGO_POSTALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshCODIGO_POSTAL];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetCODIGO_POSTALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshCODIGO_POSTAL] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshFECHA_ALTA];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshFECHA_ALTA];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshFECHA_ALTA] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshFECHA_MODIFICACION];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshFECHA_MODIFICACION];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshFECHA_MODIFICACION] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetPOBLACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshPOBLACION];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldPOBLACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshPOBLACION];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetPOBLACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshPOBLACION] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetFECHA_PAGADOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshFECHA_PAGADO];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldFECHA_PAGADOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshFECHA_PAGADO];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetFECHA_PAGADOValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshFECHA_PAGADO] := aValue;
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetFECHA_VENCIMIENTOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshFECHA_VENCIMIENTO];
end;

function TFacturasCliente_RefreshBusinessProcessorRules.GetOldFECHA_VENCIMIENTOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasCliente_RefreshFECHA_VENCIMIENTO];
end;

procedure TFacturasCliente_RefreshBusinessProcessorRules.SetFECHA_VENCIMIENTOValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasCliente_RefreshFECHA_VENCIMIENTO] := aValue;
end;


initialization
  RegisterBusinessProcessorRules(RID_DarReferenciaDelta, TDarReferenciaBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_FacturasClienteDelta, TFacturasClienteBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_FacturasCliente_DetallesDelta, TFacturasCliente_DetallesBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_FacturasCliente_RefreshDelta, TFacturasCliente_RefreshBusinessProcessorRules);

end.
